Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.runtime
Class MASConsoleLogHandler

    java.lang.Object
      java.util.logging.Handler
          java.util.logging.StreamHandler
              jason.runtime.MASConsoleLogHandler

    public class MASConsoleLogHandler

extends java.util.logging.StreamHandler

Logger handler (redirect output to MASConsoleGUI)

Field Summary
`static java.lang.String` | `formaterField`
`static java.lang.String` | `levelField`

Constructor Summary
`MASConsoleLogHandler()`

Method Summary
`void` | `publish(java.util.logging.LogRecord l)`

Methods inherited from class java.util.logging.StreamHandler
`close, flush, isLoggable, setEncoding, setOutputStream`

Methods inherited from class java.util.logging.Handler
`getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formaterField

    public static java.lang.String formaterField

### levelField

    public static java.lang.String levelField

Constructor Detail

### MASConsoleLogHandler

    public MASConsoleLogHandler()

Method Detail

### publish

    public void publish(java.util.logging.LogRecord l)

  Overrides:
    `publish` in class `java.util.logging.StreamHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD